package com.mt.wms.core.dal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 窑炉使用气检测值
 * </p>
 *
 * @author mt
 * @since 2021-09-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("t_par_gas_value")
public class ParGasValue extends Model<ParGasValue> {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 添加时间
     */
    @TableField("create_time")
    private LocalDateTime createTime;

    /**
     * 内部编码，系统自动生成
     */
    @TableField("inter_code")
    private String interCode;

    /**
     * 状态	0初始化，1损坏
     */
    @TableField("status")
    private Integer status;

    /**
     * 窑炉id，关联设备窑炉表：t_kiln_info
     */
    @TableField("kiln_id")
    private Integer kilnId;

    /**
     * 参数id，关联参数表：t_par_info
     */
    @TableField("par_id")
    private Integer parId;

    /**
     * 设定氮势值
     */
    @TableField("set_nit_pot_value")
    private Float setNitPotValue;

    /**
     * 实际氮势值
     */
    @TableField("actual_nit_pot_value")
    private Float actualNitPotValue;

    /**
     * 接受氮势值
     */
    @TableField("accept_nit_pot_value")
    private Float acceptNitPotValue;

    /**
     * 氮气流量
     */
    @TableField("nit_flow_value")
    private Float nitFlowValue;

    /**
     * 氨气流量
     */
    @TableField("ammonia_flow_value")
    private Float ammoniaFlowValue;

    /**
     * 二氧化碳流量
     */
    @TableField("car_dioxide_flow_value")
    private Float carDioxideFlowValue;

    /**
     * 扩展字段1
     */
    @TableField("add_a")
    private Float addA;

    /**
     * 扩展字段2
     */
    @TableField("add_b")
    private Float addB;

    /**
     * 扩展字段3
     */
    @TableField("add_c")
    private Float addC;

    /**
     * 扩展字段4
     */
    @TableField("orther_a")
    private String ortherA;

    /**
     * 扩展字段5
     */
    @TableField("orther_b")
    private String ortherB;

    /**
     * 扩展字段6
     */
    @TableField("orther_c")
    private String ortherC;


    public static final String ID = "id";

    public static final String CREATE_TIME = "create_time";

    public static final String INTER_CODE = "inter_code";

    public static final String STATUS = "status";

    public static final String KILN_ID = "kiln_id";

    public static final String PAR_ID = "par_id";

    public static final String SET_NIT_POT_VALUE = "set_nit_pot_value";

    public static final String ACTUAL_NIT_POT_VALUE = "actual_nit_pot_value";

    public static final String ACCEPT_NIT_POT_VALUE = "accept_nit_pot_value";

    public static final String NIT_FLOW_VALUE = "nit_flow_value";

    public static final String AMMONIA_FLOW_VALUE = "ammonia_flow_value";

    public static final String CAR_DIOXIDE_FLOW_VALUE = "car_dioxide_flow_value";

    public static final String ADD_A = "add_a";

    public static final String ADD_B = "add_b";

    public static final String ADD_C = "add_c";

    public static final String ORTHER_A = "orther_a";

    public static final String ORTHER_B = "orther_b";

    public static final String ORTHER_C = "orther_c";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
