package com.mt.wms.empty.params;


import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Apms创建生产单", description = "Apms创建生产单")
public class ApmsFinishProcessSheet extends BaseParam {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "生产单-明细数据", required = false)
    private List<FinishItem> items;


    @ApiModelProperty(value = "完成加工时间:yyyy-MM-dd HH:mm:ss", required = true)
    private String endTime;

    @ApiModelProperty(value = "完成加工人:为APMS账号", required = true)
    private String endUser;

    @ApiModelProperty(value = "配炉号", required = true)
    private String stoveCode;

    @ApiModelProperty(value = "备注", required = false)
    private String remark;
}

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Apms生产单详细", description = "Apms生产单详细")
class FinishItem extends BaseParam {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "标识卡号", required = true)
    private String itemCode;

    @ApiModelProperty(value = "完成加工数量", required = true)
    private String finishQuantity;

    @ApiModelProperty(value = "完成加工重量", required = true)
    private String finishWeight;
}
