package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "apms订单对象", description = "用于推送新的订单信息")
public class OrderParamForApms extends BaseParam {

    private static final long serialVersionUID = 1L;
    
    /**
     * 订单号，APMS系统获取
     */
   @ApiModelProperty(value = "订单号", required = true)
    private String orderNo;

    /**
     * 标识卡号，APMS系统获取
     */
   @ApiModelProperty(value = "标识卡号", required = true)
    private String idenCardNum;

    /**
     * 客户编码 APMS系统获取
     */
   @ApiModelProperty(value = "客户编码")
    private String customerNo;

    /**
     * 客户名称 APMS系统获取
     */
   @ApiModelProperty(value = "客户名称")
    private String customerName;

    /**
     * 产品名称 APMS系统获取
     */
   @ApiModelProperty(value = "产品名称")
    private String productName;

    /**
     * 产品型号 APMS系统获取
     */
   @ApiModelProperty(value = "产品型号")
    private String productModel;

    /**
     * 材料牌号 APMS系统获取
     */
   @ApiModelProperty(value = "材料牌号")
    private String materialDes;

    /**
     * 工艺要求 APMS系统获取
     */
   @ApiModelProperty(value = "工艺要求")
    private String craftIll;
}
