package com.mt.wms.empty.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mt.wms.core.base.BaseService;
import com.mt.wms.core.dal.entity.CurrTaskDet;
import com.mt.wms.core.dal.service.CurrTaskDetServiceBiz;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.utils.BeanUtils;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.CurrTaskDetQueryParam;
import com.mt.wms.empty.params.OrderInfoTaskDetParam;
import com.mt.wms.empty.params.TaskCreateDetParam;
import com.mt.wms.empty.service.CurrTaskDetService;
import com.mt.wms.empty.vo.CurrTaskDetVo;
import com.mt.wms.empty.vo.OrderInfoTaskDetVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 服务实现类
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Service
@Transactional
public class CurrTaskDetServiceImpl extends BaseService implements CurrTaskDetService {

    @Autowired
    CurrTaskDetServiceBiz currTaskDetServiceBiz;

    @Override
    public PageVo<OrderInfoTaskDetVo> getCurrOrderCurrTask(OrderInfoTaskDetParam param) {
        QueryWrapper<CurrTaskDet> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(CurrTaskDet.IDEN_CARD_NUM,param.getIdenCardNum())
                        .eq(CurrTaskDet.ORDER_NO,param.getOrderNo())
                                .eq(CurrTaskDet.VALID,1);
        Page<CurrTaskDet> page = currTaskDetServiceBiz.page(new Page<>(param.getCurrent(), param.getSize()), queryWrapper);
       return new PageVo<>(page, OrderInfoTaskDetVo.class);
    }

    @Override
    public void createProcessTaskDet(List<TaskCreateDetParam> taskDet, Long taskId) {
        List<CurrTaskDet> params = BeanUtils.copyList(taskDet, CurrTaskDet.class);
        params.forEach(param -> {
            param.setCurrTaskId(taskId);
            setCommonField(param);
        });
        currTaskDetServiceBiz.saveBatch(params);
    }

    @Override
    public R<PageVo<CurrTaskDetVo>> getTaskDetailsPage(CurrTaskDetQueryParam currTaskId) {
        QueryWrapper<CurrTaskDet> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(CurrTaskDet.CURR_TASK_ID, currTaskId.getCurrTaskId())
                .eq(CurrTaskDet.VALID, 1);
        Page<CurrTaskDet> page = currTaskDetServiceBiz.page(new Page<>(currTaskId.getCurrent(), currTaskId.getSize()), queryWrapper);
        return successful(new PageVo<>(page, CurrTaskDetVo.class));
    }

    @Override
    public List<CurrTaskDet> getTaskDetailsByMainId(IdParam idParam) {
        QueryWrapper<CurrTaskDet> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(CurrTaskDet.CURR_TASK_ID, idParam.getId())
                .eq(CurrTaskDet.VALID, 1);
        return currTaskDetServiceBiz.list(queryWrapper);
    }
}
