package com.mt.wms.empty.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mt.wms.core.base.BaseService;
import com.mt.wms.core.dal.entity.CurrTaskDet;
import com.mt.wms.core.dal.entity.TaskDetHis;
import com.mt.wms.core.dal.service.TaskDetHisServiceBiz;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.OrderInfoTaskDetParam;
import com.mt.wms.empty.service.TaskDetHisService;
import com.mt.wms.empty.vo.OrderInfoTaskDetVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 服务实现类
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Service
@Transactional
public class TaskDetHisServiceImpl extends BaseService implements TaskDetHisService {

    @Autowired
    TaskDetHisServiceBiz taskDetHisServiceBiz;


    @Override
    public R save(TaskDetHis taskDetHis) {
        taskDetHisServiceBiz.save(taskDetHis);
        return successful("操作成功");
    }

    @Override
    public R saveList(List<TaskDetHis> taskDetHis) {
        taskDetHisServiceBiz.saveBatch(taskDetHis);
        return null;
    }

    @Override
    public PageVo<OrderInfoTaskDetVo> getHisOrderHisTask(OrderInfoTaskDetParam param) {
        QueryWrapper<TaskDetHis> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq(CurrTaskDet.IDEN_CARD_NUM, param.getIdenCardNum())
                .eq(CurrTaskDet.ORDER_NO, param.getOrderNo())
                .eq(CurrTaskDet.VALID, 1);
        Page<TaskDetHis> page = taskDetHisServiceBiz.page(new Page<>(param.getCurrent(), param.getSize()), queryWrapper);
        return new PageVo<>(page, OrderInfoTaskDetVo.class);
    }
}
