package com.mt.wms.empty.service.impl;

import com.mt.wms.core.base.BaseService;
import com.mt.wms.core.dal.entity.TaskHis;
import com.mt.wms.core.dal.service.TaskHisServiceBiz;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.service.TaskHisService;
import com.mt.wms.empty.vo.CurrTaskVo;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 服务实现类
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Service
@Transactional
public class TaskHisServiceImpl extends BaseService implements TaskHisService {

    @Autowired
    TaskHisServiceBiz taskHisService;


    @Override
    public R<IdVo> save(TaskHis taskHis) {
        taskHisService.save(taskHis);
        return successful(IdVo.builder().id(taskHis.getId()).build());
    }

    @Override
    public CurrTaskVo getById(IdParam id) {
        TaskHis byId = taskHisService.getById(id.getId());
        CurrTaskVo build = CurrTaskVo.builder().build();
        BeanUtils.copyProperties(byId, build);
        return build;
    }
}
