package com.mt.wms.empty.vo;

import com.baomidou.mybatisplus.annotation.*;
import com.mt.wms.core.base.BaseVo;
import com.mt.wms.core.base.ITree;
import com.mt.wms.core.vo.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;
import java.util.List;

/**
 *
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Builder
@ApiModel(value = "订单视图对象", description = "用于返回订单信息")
public class OrderInfoVo extends BaseVo implements PageVo.ConvertVo {
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键")
    private Long id;
    /**
     * 来源：1.APMS  2.人工输入
     */
    @ApiModelProperty(value = "订单来源")
    private Integer orderSource;
    /**
     * 添加时间，每次修改记录要更新记录新增时间
     */
    @ApiModelProperty(value = "添加时间")
    private LocalDateTime createTime;

    /**
     * 创建人id
     */
    @ApiModelProperty(value = "创建人id")
    private Integer creatorId;

    /**
     * 更新人id
     */
    @ApiModelProperty(value = "更新人id")
    private Integer updaterId;

    /**
     * 修改时间，更具修改时间来判断下次执行顺序，第一次修改时间和新增时间相同
     */
    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;
    /**
     * 状态：	0等待执行，1执行中，2执行完成，3追加后完成（追加后就按完成来算）
     */
    @ApiModelProperty(value = "状态")
    private Integer status;

    /**
     * 内部编码，系统自动生成
     */
    @ApiModelProperty(value = "内部编码")
    private String interCode;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    private String code;

    /**
     * 订单号，APMS系统获取
     */
    @ApiModelProperty(value = "订单号")
    private String orderNo;

    /**
     * 标识卡号，APMS系统获取
     */
    @ApiModelProperty(value = "标识卡号")
    private String idenCardNum;

    /**
     * 客户编码 APMS系统获取
     */
    @ApiModelProperty(value = "客户编码")
    private String customerNo;

    /**
     * 客户名称 APMS系统获取
     */
    @ApiModelProperty(value = "客户名称")
    private String customerName;

    /**
     * 产品名称 APMS系统获取
     */
    @ApiModelProperty(value = "产品名称")
    private String productName;

    /**
     * 产品型号 APMS系统获取
     */
    @ApiModelProperty(value = "产品型号")
    private String productModel;

    /**
     * 材料牌号 APMS系统获取
     */
    @ApiModelProperty(value = "材料牌号")
    private String materialDes;

    /**
     * 工艺要求 APMS系统获取
     */
    @ApiModelProperty(value = "工艺要求")
    private String craftIll;

    /**
     * 单位
     */
    @ApiModelProperty(value = "单位")
    private String unit;

    /**
     * 重量
     */
    @ApiModelProperty(value = "重量")
    private Float weight;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Float quantity;
}
